# This file created by conda-build 3.26.1
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_905z2r5rpq/clone/recipe, last modified Fri Sep  8 17:19:23 2023
# ------------------------------------------------

package:
  name: cryptography
  version: 41.0.3
source:
  sha256: 6d192741113ef5e30d89dcb5b956ef4e1578f304708701b8b73d38e3e1461f34
  url: https://pypi.io/packages/source/c/cryptography/cryptography-41.0.3.tar.gz
build:
  number: '0'
  script:
    - export OPENSSL_DIR=$PREFIX
    - /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_905z2r5rpq/croot/cryptography_1694211573866/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
      -m pip install . -vv --no-deps --no-build-isolation
  string: py38hd4332d6_0
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_25
    - clang 14.0.6 hca03da5_1
    - clang-14 14.0.6 default_h1b80db6_1
    - clang_osx-arm64 14.0.6 h9ff6fda_0
    - clangxx 14.0.6 default_h1b80db6_1
    - clangxx_osx-arm64 14.0.6 h72866fe_0
    - compiler-rt 14.0.6 h4ccfd99_0
    - compiler-rt_osx-arm64 14.0.6 h4fb70ea_0
    - ld64_osx-arm64 530 h001ce53_25
    - ldid 2.1.5 h20b2a84_3
    - libclang-cpp14 14.0.6 default_h1b80db6_1
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - libllvm14 14.0.6 h7ec7a93_3
    - llvm-tools 14.0.6 hfd8c8a6_3
    - rust 1.71.1 h80987f9_0
    - rust_osx-arm64 1.71.1 h313beb8_0
    - tapi 1100.0.11 h8754e6a_1
    - zlib 1.2.13 h5a0b063_0
  host:
    - ca-certificates 2023.08.22 hca03da5_0
    - cffi 1.15.1 py38h80987f9_3
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - ncurses 6.4 h313beb8_0
    - openssl 3.0.10 h1a28f6b_2
    - pip 23.2.1 py38hca03da5_0
    - pycparser 2.21 pyhd3eb1b0_0
    - python 3.8.17 hb885b13_0
    - readline 8.2 h1a28f6b_0
    - semantic_version 2.8.5 pyhd3eb1b0_0
    - setuptools 68.0.0 py38hca03da5_0
    - setuptools-rust 1.5.2 py38hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - typing_extensions 4.7.1 py38hca03da5_0
    - wheel 0.38.4 py38hca03da5_0
    - xz 5.4.2 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - cffi >=1.12
    - openssl >=3.0.10,<4.0a0
    - python >=3.8,<3.9.0a0
test:
  commands:
    - pip check
    - pytest -n auto -k "not (test_der_x509_certificate_extensions[x509/PKITS_data/certs/ValidcRLIssuerTest28EE.crt]
      or test_x509_csr_extensions or test_no_leak_free or test_no_leak_no_malloc or
      test_leak or test_load_pkcs12_key_and_certificates[pkcs12/cert-key-aes256cbc.p12]
      or test_create_certificate_with_extensions or test_ec_derive_private_key or
      test_ec_private_numbers_private_key or test_create_ocsp_request or test_write_pkcs12_key_and_certificates
      or test_errors or test_load_pkcs12_key_and_certificates[pkcs12/cert-aes256cbc-no-key.p12]
      or test_ec_private_numbers_private_key or test_pem_x509_certificate_extensions[x509/cryptography.io.pem]
      or test_create_crl_with_idp or test_no_leak_gc or test_x25519_pubkey_from_private_key)"
  requires:
    - cryptography-vectors 41.0.3.*
    - pip
    - pretend
    - pytest >=6.2.0
    - pytest-benchmark
    - pytest-cov
    - pytest-xdist
  source_files:
    - pyproject.toml
    - tests
about:
  description: 'Cryptography is a package which provides cryptographic recipes and

    primitives to Python developers. Our goal is for it to be your

    "cryptographic standard library". It supports Python 3.6+ and PyPy3 7.2+.

    cryptography includes both high level recipes and low level interfaces to

    common cryptographic algorithms such as symmetric ciphers, message digests,

    and key derivation functions.

    '
  dev_url: https://github.com/pyca/cryptography
  doc_url: https://cryptography.io/en/41.0.3/
  home: https://github.com/pyca/cryptography
  license: (BSD-3-Clause OR Apache-2.0) AND PSF-2.0 AND MIT
  license_family: BSD
  license_url: https://github.com/pyca/cryptography/blob/41.0.3/vectors/LICENSE
  summary: Provides cryptographic recipes and primitives to Python developers
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 903b198d-4db1-4d1a-85c6-cab888926c3c
  recipe-maintainers:
    - chenghlee
    - jakirkham
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/cryptography-feedstock.git
  sha: 9a5d0096892ec8c0a990026fef0b641160dcfaa1
